Package org.codehaus.groovy.tools

# Class GroovyClass

java.lang.Object
org.codehaus.groovy.tools.GroovyClass

public class GroovyClass extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final GroovyClass[]`
`EMPTY_ARRAY`

## Constructor Summary

Constructors
Constructor
Description
`GroovyClass(String name, byte[] bytes)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getBytes()`
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EMPTY_ARRAY

public static final GroovyClass[] EMPTY_ARRAY

## Constructor Details

### GroovyClass

public GroovyClass(String name, byte[] bytes)

## Method Details

### getName

public String getName()

### getBytes

public byte[] getBytes()